|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectwicket.Request
wicket.protocol.http.WebRequest
wicket.protocol.http.servlet.ServletWebRequest
public class ServletWebRequest
A Servlet specific WebRequest implementation wrapping a HttpServletRequest
| Constructor Summary | |
|---|---|
ServletWebRequest(javax.servlet.http.HttpServletRequest httpServletRequest)
Protected constructor. |
|
| Method Summary | |
|---|---|
java.lang.String |
getContextPath()
Gets the servlet context path. |
javax.servlet.http.HttpServletRequest |
getHttpServletRequest()
Gets the wrapped http servlet request object. |
java.util.Locale |
getLocale()
Returns the preferred Locale that the client will accept
content in, based on the Accept-Language header. |
java.lang.String |
getParameter(java.lang.String key)
Gets the request parameter with the given key. |
java.util.Map |
getParameterMap()
Gets the request parameters. |
java.lang.String[] |
getParameters(java.lang.String key)
Gets the request parameters with the given key. |
java.lang.String |
getPath()
Gets the path info if any. |
java.lang.String |
getRelativeURL()
Gets the relative url (url without the context path and without a leading '/'). |
java.lang.String |
getServletPath()
Gets the servlet path. |
boolean |
isAjax()
Is the request an ajax request? |
WebRequest |
newMultipartWebRequest(Bytes maxsize)
Create a runtime context type specific (e.g. |
java.lang.String |
toString()
|
| Methods inherited from class wicket.protocol.http.WebRequest |
|---|
getCookies, getURL |
| Methods inherited from class wicket.Request |
|---|
decodeURL, getPage, getRequestParameters, setPage |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Constructor Detail |
|---|
public ServletWebRequest(javax.servlet.http.HttpServletRequest httpServletRequest)
httpServletRequest - The servlet request information| Method Detail |
|---|
public java.lang.String getContextPath()
getContextPath in class WebRequestpublic final javax.servlet.http.HttpServletRequest getHttpServletRequest()
getHttpServletRequest in class WebRequestpublic java.util.Locale getLocale()
Locale that the client will accept
content in, based on the Accept-Language header. If the client request
doesn't provide an Accept-Language header, this method returns the
default locale for the server.
getLocale in class WebRequestLocale for the clientpublic java.lang.String getParameter(java.lang.String key)
getParameter in class WebRequestkey - Parameter name
public java.util.Map getParameterMap()
getParameterMap in class WebRequestpublic java.lang.String[] getParameters(java.lang.String key)
getParameters in class WebRequestkey - Parameter name
public java.lang.String getPath()
getPath in class Requestpublic java.lang.String getRelativeURL()
getRelativeURL in class Requestpublic java.lang.String getServletPath()
getServletPath in class WebRequestpublic boolean isAjax()
WebRequest
isAjax in class WebRequestpublic WebRequest newMultipartWebRequest(Bytes maxsize)
WebRequest
newMultipartWebRequest in class WebRequestmaxsize - the maximum size this request may be
WebRequest.newMultipartWebRequest(wicket.util.lang.Bytes)public java.lang.String toString()
toString in class java.lang.ObjectObject.toString()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||